RECORD(6)

NAME
record - record an audio file

SYNOPSIS
record [ -a ] [ -f ] [ -d dev ] [ -i info ] [ -t time ] [ -v vol ] [ filename ]

AVAILABILITY

This command is only available with the Demos installation option. Refer to for information on how to install optional software.

DESCRIPTION

record copies audio data from the audio device to a named audio file. The output file will be prefixed by an audio file header. The encoding information in this header is taken from the configuration of the audio device. If no filename is present, or if the special filename `-' is specified, output is directed to the standard output stream.

Recording begins immediately and continues until a SIGINT signal (CTRL-C) is received. If the -t option is specified, record stops when the specified quantity of data has been recorded.

If the audio device is unavailable (that is, another process currently has read access), record prints an error message and exits immediately.

OPTIONS

-a  Append the data on the end of the named audio file. The audio encoding of the file must match the audio device configuration.

-f  Force. When the -a flag is specified, the sample rate of the audio file must match the device configuration. If the -f flag is also specified, sample rate differences are ignored, with a warning message printed to the standard error.

-d dev
    Specify an alternate audio device from which input should be taken. If the -d option is not specified, /dev/audio is used as the default audio device.

-i info
    The `information' field of the output file header is set to the string specified by the info argument. This option may not be specified in conjunction with the -a argument.

-t time
    The time argument specifies the maximum length of time to record. Time may be specified as a floating-point value, indicating the number of seconds, or in the form: hh:mm:ss.dd, where hour and minute specifications are optional.

-v vol
    Specify the recording gain. vol is an integer value between 0 and 100, inclusive. If this argument is not specified, the input volume will remain at the level most recently set by any process.

-?  Help: Print a command line usage message.

SEE ALSO
play(6)

WARNINGS

This program is furnished on an as is basis as a demonstration of audio applications programming.